Package tigase.auth.credentials.entries

# Class MD5UsernamePasswordCredentialsEntry

java.lang.Object
tigase.auth.credentials.entries.MD5UsernamePasswordCredentialsEntry

All Implemented Interfaces:
  `Credentials.Entry`

@Deprecated public class MD5UsernamePasswordCredentialsEntry extends Object implements Credentials.Entry
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MD5UsernamePasswordCredentialsEntry.Decoder`
  Deprecated.
  `static class`
  `MD5UsernamePasswordCredentialsEntry.Encoder`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MD5UsernamePasswordCredentialsEntry(BareJID user, String passwordHash)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMechanism()`
  Deprecated.
  Name of the encryption mechanism used to encode stored credentials.
  `String`
  `getPasswordHash()`
  Deprecated.
  `protected static String`
  `getUsername(BareJID user)`
  Deprecated.
  `boolean`
  `verifyPlainPassword(String plain)`
  Deprecated.
  Check if plaintext password will match stored credential

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MD5UsernamePasswordCredentialsEntry

    public MD5UsernamePasswordCredentialsEntry(BareJID user, String passwordHash)
    Deprecated.

- ## Method Details

  - ### getUsername

    protected static String getUsername(BareJID user)
    Deprecated.

  - ### getMechanism

    public String getMechanism()
    Deprecated.
    Description copied from interface: `Credentials.Entry`
    Name of the encryption mechanism used to encode stored credentials. Note: Value returned by this method may be equal to SASL mechanism name used to encode this value, but doesn't have to be only one of SASL mechanism name, ie. for passwords encoded for PLAIN mechanism not stored in plain format in the repository.
    Specified by:
      `getMechanism` in interface `Credentials.Entry`

  - ### getPasswordHash

    public String getPasswordHash()
    Deprecated.

  - ### verifyPlainPassword

    public boolean verifyPlainPassword(String plain)
    Deprecated.
    Description copied from interface: `Credentials.Entry`
    Check if plaintext password will match stored credential
    Specified by:
      `verifyPlainPassword` in interface `Credentials.Entry`